
if [ ! -z $IMAGEISHOME ] ; then
  echo "*Your environment is already set up for KMI Pharos Image-IS"
  return 0
fi

if [ ! -f "setup.bash" ] ; then
  echo "You must source the script from within the Image-IS home directory"
  return 1;
fi

export IMAGEISHOME=`pwd`

export PATH=$IMAGEISHOME/bin/script:$IMAGEISHOME/bin/$PHAROSOS:$PATH

# I have moved all this to ant build.xml
#echo "++Generating VSprops.properties from VSprops.properties.in"
#echo "++Note: Currently assumes web service is at:"
#echo "++        $PHAROS_PREFIX_URL/services/ContentBasedSearchWSProxy"

#cat VSprops.properties.in \
#   | sed "s@\*\*imageishome\*\*@$IMAGEISHOME@g" \
#   | sed "s@\*\*iisos\*\*@$IISOS@g" \
#   | sed "s@\*\*pharosprefixurl\*\*@$PHAROS_PREFIX_URL@g" \
#   > VSprops.properties

#if [ ! -d "/tmp/vstmpdir" ] ; then
#  echo "++Making directory /tmp/vstmpdir for temporary processing by 'annoate'"
#  mkdir /tmp/vstmpdir
#fi

#if [ ! -d "/tmp/vsupload" ] ; then
#  echo "++Making directory /tmp/vsupload for ImageIS ingest files"
#  mkdir /tmp/vsupload
#fi


echo "+Your environment is now set up for KMI Pharos Image-IS"
echo "++To ingest image: imageis-add-jpg-file.sh collection file.jpg"
echo "++To ingest image: imageis-del-id.sh collection docid"
echo "++To ingest image: imageis-query-by-id.sh collection docid"



